Bug 436068 - [Areca 5.3 feat] Update arcmsr to version 1.20.00.15.RH1 [NEEDINFO]
[Areca 5.3 feat] Update arcmsr to version 1.20.00.15.RH1
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
high Severity high
: rc
: ---
Assigned To: Tomas Henzl
: FutureFeature
: 460789 (view as bug list)
Depends On:
Blocks: 437019 446125 KernelPrio5.3
  Show dependency treegraph
 
Reported: 2008-03-05 02:00 EST by Nick Cheng
Modified: 2010-03-14 17:32 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:04:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cward: needinfo? (bnagendr)


Attachments (Terms of Use)
The patch for arcmsr-1.20.00.15.RH-80227 (3.02 KB, patch)
2008-03-05 02:00 EST, Nick Cheng
no flags Details | Diff
Renew the early patch (2.68 KB, application/zip)
2008-03-05 06:49 EST, Nick Cheng
no flags Details
Restructured patch (4.75 KB, patch)
2008-08-21 08:06 EDT, Tomas Henzl
no flags Details | Diff

  None (edit)
Description Nick Cheng 2008-03-05 02:00:56 EST
The patch to fix arcmsr_iop_message_xfer() which is called from atomic context
under the queuecommand in scsi_host_template handler.
GFP_KERNEL|GFP_DMA flags are wrong: firstly we are in atomic context, secondly
this memory is not used for DMA.
GFP_ATOMIC is a correct flag.
Comment 1 Nick Cheng 2008-03-05 02:00:56 EST
Created attachment 296858 [details]
The patch for arcmsr-1.20.00.15.RH-80227
Comment 2 Tomas Henzl 2008-03-05 03:31:36 EST
Nick, 
you are removing in this patch the
"-static void arcmsr_shutdown(struct pci_dev *pdev)"
again. What is the reason for that ?
Comment 3 RHEL Product and Program Management 2008-03-05 03:49:43 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Nick Cheng 2008-03-05 04:30:39 EST
Hi Tomas,
I remember it is not supported in RHEL5.1.
Therefore I delete it intuitively.
I will check it again.
Comment 5 Nick Cheng 2008-03-05 06:49:45 EST
Created attachment 296873 [details]
Renew the early patch
Comment 6 Tomas Henzl 2008-03-05 07:01:00 EST
Nick,please could you also have a look at the patch from bz#428801 ?
Comment 8 Andrius Benokraitis 2008-08-20 15:07:24 EDT
Tomas, does Red Hat have everything we need here from Nick at Areca?
Comment 9 Tomas Henzl 2008-08-21 08:06:52 EDT
Created attachment 314697 [details]
Restructured patch

Nick, Andrius,
I've recreated this patch. Besides of omitting some unneeded whitespace changes I also removed :
@@ -1888,7 +1885,6 @@ static void arcmsr_polling_hba_ccbdone(s
 					, ccb);
 				ccb->pcmd->result = DID_ABORT << 16;
 				arcmsr_ccb_complete(ccb, 1);
-				poll_ccb_done = 1;
 				continue;
 			}
 			printk(KERN_NOTICE "arcmsr%d: polling get an illegal ccb"
this is not upstream and I believe it was in the patch by mistake again.

Nick, 
please review this patch.
Comment 10 Tomas Henzl 2008-08-27 09:54:14 EDT
Posted today without the hunk from comment #9.
Comment 11 Nick Cheng 2008-08-28 05:21:32 EDT
Tomas,
Sorry for my neglect.
I will check it and reply later.
Comment 12 Nick Cheng 2008-08-28 22:44:18 EDT
Hi Tomas,
If you mean you will remove the entry of "poll_ccb_done = 1", please go ahead.
It should not be there.
Thank you,
Comment 13 Don Zickus 2008-09-09 17:15:22 EDT
in kernel-2.6.18-109.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 14 Nick Cheng 2008-09-15 23:31:39 EDT
Sorry for delay.
I have tested it this morning.
No matter what it will be, I will report on the BZ.
Thanks,
Comment 16 Nick Cheng 2008-09-19 00:07:33 EDT
Don,
The test is still working so far so good.
There are no error messages.
For your information,
Comment 17 Tomas Henzl 2008-09-24 05:31:14 EDT
*** Bug 460789 has been marked as a duplicate of this bug. ***
Comment 20 Phil Schaffner 2008-10-08 16:23:35 EDT
For those looking for an immediate work-around:

Use a kernel from http://people.redhat.com/dzickus/el5/. [^] kernel-2.6.18-118.el5.x86_64 works for me for Areca 1170.

See also http://bugs.centos.org/view.php?id=3070

and

http://www.centos.org/modules/newbb/viewtopic.php?topic_id=15640
Comment 21 Don Domingo 2008-11-13 20:07:43 EST
Tomas, please add a draft for the release note of this bug (in the "Release Notes" field). thanks!
Comment 22 Don Domingo 2008-11-13 20:08:34 EST
also, please include a list of bug fixes and enhancements applied by this update to arcmsr.
Comment 25 Tomas Henzl 2008-11-27 08:14:14 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
The patch fixes arcmsr_iop_message_xfer() which is called from atomic context under the queuecommand in scsi_host_template handler.
GFP_KERNEL|GFP_DMA flags here were are wrong, firstly we are in atomic context, secondly
this memory is not used for DMA.
Comment 26 Don Domingo 2008-11-27 16:53:09 EST
thanks Tomas. clearing release notes flag, field, and tracker.
Comment 27 Don Domingo 2008-11-27 16:53:09 EST
Deleted Release Notes Contents.

Old Contents:
The patch fixes arcmsr_iop_message_xfer() which is called from atomic context under the queuecommand in scsi_host_template handler.
GFP_KERNEL|GFP_DMA flags here were are wrong, firstly we are in atomic context, secondly
this memory is not used for DMA.
Comment 28 Chris Ward 2008-11-28 02:13:03 EST
Partners, this bug should be fixed in the latest RHEL 5.3 Snapshot. We believe that you have some interest in its correct functionality, so we're making a friendly request to send us some testing feedback. 

If you have a chance to test it, please share with us your findings. If you have successfully VERIFIED the fix, please add PartnerVerified to the Bugzilla keywords, along with a description of the results. Thanks!
Comment 29 Chris Ward 2008-12-18 05:38:10 EST
~~ Snapshot 6 is out ~~ Partners, please test and let us know if this bug has been fixed. Add PartnerVerified keyword if everything works as expected. For any new issues encountered, CLONE this bug and report the issues in the new bug.
Comment 31 errata-xmlrpc 2009-01-20 15:04:48 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.